2022-01-26 05:06 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002724FSSCPuser interfacepublic2012-11-11 22:04
ReporterMatthTheGeek 
Assigned ToZacam 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.15 
Target Version3.6.16Fixed in Version 
Summary0002724: Crash at ship selection
DescriptionInstant crash at ship selection in any mission. Confirmed with retail. Axem traced it to commit 9312 : "PVS Studio fix: Pointer shipp is not checked against NULL" in modelinterp.cpp.

Debug log attached.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0014017

niffiwan (developer)

This might be fixed in r9323 - could someone please retest with this version from SVN, or this nightly?

http://www.hard-light.net/forums/index.php?topic=82789.0

~0014018

MatthTheGeek (reporter)

I confirm the bug fixed with latest nightly (9326).

~0014032

Goober5000 (administrator)

Fixed by Zacam in r9323.
+Notes

-Issue History
Date Modified Username Field Change
2012-11-04 12:18 MatthTheGeek New Issue
2012-11-04 12:18 MatthTheGeek File Added: fs2_open.log
2012-11-04 15:14 chief1983 Product Version => 3.6.15
2012-11-05 13:51 Goober5000 Target Version => 3.6.16
2012-11-08 23:22 niffiwan Note Added: 0014017
2012-11-09 01:53 MatthTheGeek Note Added: 0014018
2012-11-11 22:04 Goober5000 Note Added: 0014032
2012-11-11 22:04 Goober5000 Assigned To => Zacam
2012-11-11 22:04 Goober5000 Status new => resolved
2012-11-11 22:04 Goober5000 Resolution open => fixed
+Issue History